%define	oname FreeFileSync
%define sname RealTimeSync

Summary:	A free file sync tool
Name:		freefilesync
Version:	8.5
Release:	%mkrel 1
Group:		File tools
License:	GPLv3
URL:		http://sourceforge.net/projects/freefilesync/
Source0:	FreeFileSync_%{version}.tar.xz
Source1:    http://sourceforge.net/projects/freefilesync/files/zenxml_2.1-stripped.tar.xz
Source2:    icons.tar.xz
BuildRoot:   %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  boost-devel >= 1.54
BuildRequires:  %{_lib}wxgtku3.0-devel
BuildRequires:  update-desktop-files

%description
FreeFileSync is a folder comparison and synchronization tool.

%prep
%setup -qn %{oname}
unxz -c %SOURCE1 | tar xf - -C $RPM_BUILD_DIR

pushd Source
%make BUILD=FreeFileSync
popd
pushd Source/RealTimeSync
%make BUILD=RealTimeSync
popd

%install
rm -rf %{buildroot}
install -dm 755 %{buildroot}/%{_bindir}
cp Build/{%oname,%sname} %{buildroot}/%{_bindir}
install -dm 755 %{buildroot}/%{_datadir}/%{oname}
cp -r Build/{Help,Languages,*.wav,Changelog.txt,*.zip} %{buildroot}/%{_datadir}/%{oname}

# menu-icons
install -dm 755 %{buildroot}/%{_datadir}/pixmaps
unxz -c %{SOURCE2} | tar xf - -C %{buildroot}/%{_datadir}/pixmaps


# menu-entry1
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Terminal=false
Name=FreeFileSync
Comment=Folder comparison and synchronization tool.
Exec=%{oname}
Icon=%{name}
Categories=GTK;System;X-MandrivaLinux-System-FileTools;
EOF

# menu-entry2
cat > %{buildroot}%{_datadir}/applications/realtimesync.desktop << EOF
[Desktop Entry]
Type=Application
Terminal=false
Name=RealTimeSync
Comment=Automated synchronization tool.
Exec=%{sname}
Icon=realtimesync
Categories=GTK;System;X-MandrivaLinux-System-FileTools;
EOF

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR

%files
%defattr(-,root,root)
%{_bindir}/%{oname}
%{_bindir}/%{sname}
%{_datadir}/%{oname}
%{_datadir}/pixmaps/*.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/realtimesync.desktop


%changelog
* Sat Dec 17 2016 adrianomorselli <adrianomorselli> 8.5-1uplos2016
- rebuild

* Sat Oct 01 2016 Ken <lxgator at gmail.com> 8.5-1pclos2016
- update

* Sat Jul 16 2016 bb <bb> 8.3-1pclos2016
- update

* Tue May 31 2016 bb <bb> 8.2-1pclos2016
- update

* Thu Oct 31 2013 Ken <lxgator at gmail.com> 5.10-1pclos2013
- 5.10


